## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Update Risk Range

**PUT**

`/v1/risk-ranges/{riskRangesId}`

**cURL**

```bash
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": 123,
  "low": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "medium": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "high": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "description": "<string>"
}'
```

**Python Example**

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId}"

payload = {
    "name": "<string>",
    "version": 123,
    "low": {
        "lowThreshold": 5000,
        "highThreshold": 5000
    },
    "medium": {
        "lowThreshold": 5000,
        "highThreshold": 5000
    },
    "high": {
        "lowThreshold": 5000,
        "highThreshold": 5000
    },
    "description": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript Example**

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    version: 123,
    low: {lowThreshold: 5000, highThreshold: 5000},
    medium: {lowThreshold: 5000, highThreshold: 5000},
    high: {lowThreshold: 5000, highThreshold: 5000},
    description: '<string>'
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP Example**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'version' => 123,
    'low' => [
        'lowThreshold' => 5000,
        'highThreshold' => 5000
    ],
    'medium' => [
        'lowThreshold' => 5000,
        'highThreshold' => 5000
    ],
    'high' => [
        'lowThreshold' => 5000,
        'highThreshold' => 5000
    ],
    'description' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Response Example**

```json
{
  "id": "<string>",
  "version": 123,
  "low": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "medium": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "high": {
    "lowThreshold": 5000,
    "highThreshold": 5000
  },
  "system": true,
  "libraryId": "<string>",
  "engagementId": "<string>",
  "analysisTypeId": "<string>",
  "name": "<string>",
  "description": "<string>"
}
```

#### Authorizations

**Authorization:**
- Type: string
- Location: header
- Required: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters
- **riskRangesId**: string (required)

#### Body
- **name**: string (required; Max string length: `80`)
- **version**: integer (required)
- **low**: Risk Range Bounds (object)
- **medium**: Risk Range Bounds (object)
- **high**: Risk Range Bounds (object)
- **description**: string (Max string length: `250`)
